Bug 457467 - Patches for Quad PPC970 PowerStation
Patches for Quad PPC970 PowerStation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 15:14 EDT by Josh Boyer
Modified: 2008-09-10 03:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 08:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
offb palette hack for Powerstation (13.02 KB, patch)
2008-07-31 15:16 EDT, Josh Boyer
no flags Details | Diff
OF parsing of 64 bit PCI addresses (5.59 KB, patch)
2008-07-31 15:17 EDT, Josh Boyer
no flags Details | Diff

  None (edit)
Description Josh Boyer 2008-07-31 15:14:32 EDT
Description of problem:

TerraSoft Solutions is shipping a new PowerPC workstation called PowerStation. 
For the most part, the Fedora kernel just works on this.  There are a couple of
patches that fix some small issues however, namely for fixing things with frame
buffer handling.

I'll attach the patches I've used so far on the F9 kernel.
Comment 1 Josh Boyer 2008-07-31 15:16:55 EDT
Created attachment 313125 [details]
offb palette hack for Powerstation

This patch is already upstream.  Commit
57a20d8fb0d2a05abe40abd6bb29e3f923721f1b
Comment 2 Josh Boyer 2008-07-31 15:17:42 EDT
Created attachment 313126 [details]
OF parsing of 64 bit PCI addresses

This patch is already upstream.  Commit
67260ac9a397eb7c9e2980be2865912d3840b042
Comment 3 Josh Boyer 2008-07-31 15:18:36 EDT
The only other change I made was to disable CONFIG_DRM, as the radeon driver
produces oopses at random points.  I won't suggest that in general, as the issue
is being looked at I believe.
Comment 4 Chuck Ebbert 2008-08-04 18:42:22 EDT
Fixed in 2.6.26.1-2.fc9
Comment 5 Fedora Update System 2008-08-13 23:55:42 EDT
kernel-2.6.26.2-14.fc9 has been submitted as an update for Fedora 9.
/updates/kernel-2.6.26.2-14.fc9
Comment 6 Fedora Update System 2008-08-31 11:02:02 EDT
kernel-2.6.26.3-27.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.26.3-27.fc9
Comment 7 Fedora Update System 2008-09-03 12:49:18 EDT
kernel-2.6.26.3-29.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.26.3-29.fc9
Comment 8 Fedora Update System 2008-09-05 08:19:33 EDT
kernel-2.6.26.3-29.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-09-10 03:06:56 EDT
kernel-2.6.26.3-29.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.